<template>
    <div class="dialog-table-container">
        <el-table
            v-loading="loading"
            :element-loading-background="loadingColor"
            height="65vh"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                type="index"
                label="序号"
                width="50"
            ></el-table-column>
            <el-table-column prop="unitName" label="区县"> </el-table-column>
            <el-table-column
                prop="nationwideNum"
                label="获全国肯定性评价(次)"
                width="200"
            >
            </el-table-column>
            <el-table-column
                prop="mediaNum"
                label="获中央媒体深度专题报道(次)"
                width="200"
            >
            </el-table-column>
            <el-table-column
                prop="nationwideAndmediaSn"
                label="排位"
            ></el-table-column>
            <!--详情 按钮弹窗-->
            <el-table-column label="详情" width="100">
                <template v-slot="{row}">
                    <el-tag
                        effect="dark"
                        style="cursor: pointer"
                        @click="handleDetail(row, 'brandDetail')"
                        >查看详情
                    </el-tag>
                </template>
            </el-table-column>
        </el-table>
        <EasyDialog
            v-model="showEasy"
            :top="dialogOption.top"
            :width="dialogOption.width"
            :title="dialogOption.dialogTitle"
        >
            <component
                v-bind:is="currentTabComponent"
                :tableOptions="tempTableOptions"
            ></component>
        </EasyDialog>
    </div>
</template>
<!--详情 按钮弹窗-->
<!--

title：  XX区改革经验获全国肯定评价和中央媒体深度专题报道情况
header： 改革事项  成效形式  具体情形  
点击展开详情  解决问题 取得成效  佐证材料


 -->




  <script>
import apiList from '@/api/bigScreen/districView.js'
import EasyDialog from '@/views/BigScreen/components/easy-dialog/index.vue'
import dialogComponents from '@/views/BigScreen/js/dialog_components.js'
import dialogConfig from '@/views/BigScreen/js/DistrictReformDialogConfig.js'
export default {
    components: {
        EasyDialog,
        ...dialogComponents,
    },
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            showEasy: false,
            currentTabComponent: '',
            dialogOption: {
                dialogTitle: '',
                width: '60%',
                top: '2%',
            },
            tempTableOptions: null,
            tableData: [],
        }
    },
    mounted() {
        this.getBrand()
    },
    methods: {
        handleDetail(row, type) {
            this.currentTabComponent = dialogConfig.dialogOption[type]
                .componentName
                ? dialogConfig.dialogOption[type].componentName
                : type // 动态组件名称
            let data = {
                ...dialogConfig.dialogOption[type].option,
                dialogTitle: `${row.unitName}改革经验获全国肯定评价和中央媒体深度专题报道情况`,
            }
            let dataOptions = {
                ...dialogConfig.dialogOption[type].dataOptions,
                rowDate: row.effectDetail,
            }

            this.tempTableOptions = dataOptions //table的查询参数
            this.dialogOption = data //弹窗配置参数
            this.showEasy = true
        },
        getBrand() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            let data = this.qs.stringify({
                quarter: searchDate.quarter,
                year: searchDate.year,
            })
            apiList.getBrand(data, (res) => {
                if (res && res.value && res.value.brand) {
                    this.tableData = res.value.brand
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>

</style>
<style lang="scss">
@import './table.scss';
</style>
